package com.dgtis.dorm.manager.db.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import java.util.Date;

/**
 * 收藏表 zhll_collect
 * 
 * @author ruoyi
 * @date 2019-07-10
 */
public class ZhllCollect
{
	private static final long serialVersionUID = 1L;
	
	/** 主键 */
	private String id;
	/** 收藏类型（1事项，2预约） */
	private String type;
	/** 事项主键 */
	private String serviceUnid;
	/** 事项名称 */
	private String serviceName;
	/** 小程序用户id */
	private String userId;
	/** 添加时间 */
	private String addTime;
	/** 添加人 */
	private String addUser;
	/** 修改时间 */
	private String modifyTime;
	/** 修改人 */
	private String modifyUser;
	/** 删除标记(0 正常1 删除) */
	private String delFlag;

	public void setId(String id) 
	{
		this.id = id;
	}

	public String getId() 
	{
		return id;
	}
	public void setType(String type) 
	{
		this.type = type;
	}

	public String getType() 
	{
		return type;
	}
	public void setServiceUnid(String serviceUnid)
	{
		this.serviceUnid = serviceUnid;
	}

	public String getServiceUnid()
	{
		return serviceUnid;
	}
	public void setServiceName(String serviceName) 
	{
		this.serviceName = serviceName;
	}

	public String getServiceName() 
	{
		return serviceName;
	}
	public void setUserId(String userId) 
	{
		this.userId = userId;
	}

	public String getUserId() 
	{
		return userId;
	}
	public void setAddTime(String addTime)
	{
		this.addTime = addTime;
	}

	public String getAddTime()
	{
		return addTime;
	}
	public void setAddUser(String addUser) 
	{
		this.addUser = addUser;
	}

	public String getAddUser() 
	{
		return addUser;
	}
	public void setModifyTime(String modifyTime)
	{
		this.modifyTime = modifyTime;
	}

	public String getModifyTime()
	{
		return modifyTime;
	}
	public void setModifyUser(String modifyUser) 
	{
		this.modifyUser = modifyUser;
	}

	public String getModifyUser() 
	{
		return modifyUser;
	}
	public void setDelFlag(String delFlag) 
	{
		this.delFlag = delFlag;
	}

	public String getDelFlag() 
	{
		return delFlag;
	}

    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("serviceId", getServiceUnid())
            .append("serviceName", getServiceName())
            .append("userId", getUserId())
            .append("addTime", getAddTime())
            .append("addUser", getAddUser())
            .append("modifyTime", getModifyTime())
            .append("modifyUser", getModifyUser())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
